package com.company.relatedemo.view.test;

import com.company.relatedemo.entity.Child;
import com.company.relatedemo.entity.Test;

import com.company.relatedemo.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.action.list.CreateAction;
import io.jmix.flowui.view.*;

@Route(value = "tests/:id", layout = MainView.class)
@ViewController("Test.detail")
@ViewDescriptor("test-detail-view.xml")
@EditedEntityContainer("testDc")
public class TestDetailView extends StandardDetailView<Test> {

    @Install(to = "childsDataGrid.create", subject = "initializer")
    protected void childsDataGridCreateInitializer(final Child child) {
        System.out.println("Executed");
    }

}